org.omg.CORBA

## Interface DomainManagerOperations

- All Known Subinterfaces:
    DomainManager

      public interface DomainManagerOperations

  Provides the `DomainManager` with the means to access policies.

  The `DomainManager` has associated with it the policy objects for a particular domain. The domain manager also records the membership of the domain and provides the means to add and remove members. The domain manager is itself a member of a domain, possibly the domain it manages. The domain manager provides mechanisms for establishing and navigating relationships to superior and subordinate domains and creating and accessing policies.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Policy` | `get_domain_policy(int policy_type)` This returns the policy of the specified type for objects in this domain.

- - ### Method Detail

    - #### get_domain_policy

          Policy get_domain_policy(int policy_type)

      This returns the policy of the specified type for objects in this domain. The types of policies available are domain specific. See the CORBA specification for a list of standard ORB policies.
      Parameters:
        `policy_type` - Type of policy to request

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.